VirtualBox

Ticket #63 (closed enhancement: fixed)

Opened 13 years ago

Last modified 13 years ago

xpidl is linked against libIDL-0.6.so.0

Reported by: x-drum Owned by: achimha
Component: other Version: VirtualBox 1.3.4
Keywords: Cc:
Guest type: other Host type: other

Description

In the binary version 1.3.4, xpidl (sdk) is linked against libIDL-0.6.so.0, this library is shipped with an old version of libIDL, there are distros that currently don't support this library anymore. (eg. gentoo)

Is possible to link xpidl with a new version of libIDL in next releases?

Change History

comment:1 Changed 13 years ago by achimha

  • Owner set to achimha
  • Status changed from new to assigned

The reason for this is that we build the binaries on Red Hat Enterprise Linux 3 (RHEL3) and there appears to be no rpm available for libIDL-2. Our build system first tries to locate libIDL-2 and then looks for libIDL.

In case anyone knows a convenient rpm for RHEL3, we could change that.

comment:2 Changed 13 years ago by frank

Fixed by installing new packages on our rhel3 box. xpidl is linked against libIDL-2.so.0 now.

comment:3 Changed 13 years ago by frank

  • Status changed from assigned to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use